Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Communications Framework (ECF) » Unresolved bundles for timeservice example
Unresolved bundles for timeservice example [message #1408718] Fri, 15 August 2014 22:08 Go to next message
Timothy Vogel is currently offline Timothy VogelFriend
Messages: 76
Registered: July 2009
Member
I have a target platform built using http://download.eclipse.org/rt/ecf/latest/site.p2
I included the ECF OSGi Remote Services SDK 3.8.1 feature with include required software unchecked. The base consumer fails with errors of unresolved bundles. The target platform shows missing dependencies to newer versions of the ECF platform (see image).

The version of org.eclipse.ecf in the target platform is 3.1.300v20110531-2218

org.eclipse.ecf v 3.4.0
org.eclipse.ecf.core.events v 3.1.0
org.eclipse.ecf.core.jobs v 1.1.0
org.eclipse.ecf.core.security v 3.1.0


What is the solution for these missing dependencies?

index.php/fa/18888/0/



[Updated on: Fri, 15 August 2014 22:10]

Report message to a moderator

Re: Unresolved bundles for timeservice example [message #1408723 is a reply to message #1408718] Fri, 15 August 2014 22:28 Go to previous messageGo to next message
Scott Lewis is currently offline Scott LewisFriend
Messages: 1023
Registered: July 2009
Senior Member
Quote:
I have a target platform built using http://download.eclipse.org/rt/ecf/latest/site.p2
I included the ECF OSGi Remote Services SDK 3.8.1 feature with include required software unchecked. The base consumer fails with errors of unresolved bundles. The target platform shows missing dependencies to newer versions of the ECF platform (see image).

The version of org.eclipse.ecf in the target platform is 3.1.300v20110531-2218

org.eclipse.ecf v 3.4.0
org.eclipse.ecf.core.events v 3.1.0
org.eclipse.ecf.core.jobs v 1.1.0
org.eclipse.ecf.core.security v 3.1.0



Hmmm. It appears that p2 is attempting to resolve the dependencies in the target platform via the old version of ECF (3.1.300).

Would it be possible to use only the 3.8.1 of ECF in this or some new target platform? (e.g. create a fresh target platform with 3.8.1 installed rather than the 3.1.300).

There may also be other p2 trickery to allow you to do what you want to do here, could you say:

1) What version of Eclipse are you using?
2) Are you currently choosing the active bundles in the target platform 'by hand' (by selecting the specific version of each bundle in the target platform that you want rather than having them chosen automatically. Have you tried that?
3) How did you install the 3.8.1 version of ECF into the target platform?

Thanks.
Re: Unresolved bundles for timeservice example [message #1408737 is a reply to message #1408723] Fri, 15 August 2014 23:30 Go to previous messageGo to next message
Timothy Vogel is currently offline Timothy VogelFriend
Messages: 76
Registered: July 2009
Member
Thanks for the quick response!


1) What version of Eclipse are you using?
Luna for the editor. However the target is based on RCP 3.7 (Indigo) as is Equinox since that is the client's platform

2) Are you currently choosing the active bundles in the target platform 'by hand' (by selecting the specific version of each bundle in the target platform that you want rather than having them chosen automatically. Have you tried that?
The only org.eclipse.ecf bundle is 3.1.300

3) How did you install the 3.8.1 version of ECF into the target platform?
Using the add software wizard that is part of the target platform editor.

On the Content tab of the target platform editor, I grouped by location. The only version of org.eclipse.ecf is 3.1.300 and is coming from the Equinox 3.7.1 SDKs. See image below for full target.

Is ECF compatible with a RCP 3.7 client?


index.php/fa/18889/0/
Re: Unresolved bundles for timeservice example [message #1408972 is a reply to message #1408737] Sat, 16 August 2014 17:29 Go to previous message
Timothy Vogel is currently offline Timothy VogelFriend
Messages: 76
Registered: July 2009
Member
I solved the unresolved bundle issue by un-checking the Group By Category option on the target platform wizard and including ECF Core which has the right version of org.eclipse.ecf bundle. Not sure why this feature is not included in one of the groups labeled SDK.

I also had to unselect the 3.1.x version from the 3.7 Equinox bundles.

The consumer still doesn't find the host. I will work on it more over the weekend.
Previous Topic:Http Browsing
Next Topic:Announce: ECF 3.9.0 released
Goto Forum:
  


Current Time: Tue Jun 19 01:18:21 GMT 2018

Powered by FUDForum. Page generated in 0.01886 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top